Name:           perl-Class-DBI
Version:        3.0.17
Release:        5%{?dist}
Summary:        Simple Database Abstraction
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/Class-DBI-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Class::Accessor), perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::Trigger), perl(Ima::DBI), perl(UNIVERSAL::moniker)
BuildRequires:  perl-DBD-Pg, perl(DBD::SQLite), perl(Date::Simple)
BuildRequires:  perl(Time::Piece::MySQL), perl(Clone), perl(version), perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Class::Accessor), perl(Ima::DBI)

%description
%{summary}.

%prep
%setup -q -n Class-DBI-v%{version}
perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# This test fails because no postgresql and mysql servers are running
# in the build environment.
# make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING Artistic
%{perl_vendorlib}/Class/
%{_mandir}/man3/*.3*


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.0.17-3
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.17-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.17-1
- bump to 3.0.17

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.16-2
- license fix

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.16-1
- bump to 3.0.16

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.15-1
- bump to 3.0.15

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.14-1
- bump to 3.0.14

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.13-1
- bump to 3.0.13

* Wed Aug 31 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.96-6
- comment out make test, since it fails.

* Sun Aug 28 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.96-4
- BR: perl(Time::Piece::MySQL)
- Requires: perl(Class::Accessor), perl(Ima::DBI)

* Wed Aug 24 2005 Paul Howarth <paul@city-fan.org> 0.96-3
- include license text
- remove redundant BR: perl
- add BR: perl(Date::Simple) for more test coverage

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.96-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.96-1
- Initial package for Fedora Extras
